package mx.italika.prod.italika.controller;

import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import mx.italika.prod.italika.model.bean.UsuarioBean;
import mx.italika.prod.italika.service.UsuarioServiceimpl;

/**
 * Itzi Enriquez
 */
@RestController
@RequestMapping("/auth")
public class LoginController {

	UsuarioServiceimpl usuarioServiceimpl;

	public LoginController(UsuarioServiceimpl usuarioServiceimpl) {
		this.usuarioServiceimpl = usuarioServiceimpl;
	}

	@PostMapping(value = "/login", produces = "application/json")
	@ResponseBody
	public ResponseEntity<?> login(@RequestBody UsuarioBean bean) {
		return usuarioServiceimpl.login(bean);

	}

}
